Skip to content

Update return order

POST
/merchants/{merchantCode}/returnOrders/{orderNumber}
curl --request POST \
--url 'https://order.shopgate.io/v1/merchants/example/returnOrders/example?getOriginalImageUrls=false' \
--header 'Content-Type: application/json' \
--data '{ "status": "draft", "notes": "Please wrap each item individually.", "dropOffType": "inPerson", "dropOffLocationCode": "DERetail001", "lineItems": [ { "code": "R386", "status": "open" } ] }'

Update return order

merchantCode
required
string

Unique merchant code which represents the unique “merchant account”.

orderNumber
required
string

Unique order number

getOriginalImageUrls
boolean

Request original image URLs for LineItem product images.

Media typeapplication/json
object
status
string
default: new
Allowed values: draft new inTransit arrived inReview accepted rejected canceled completed
notes

Customer notes where the shopper can provide special instructions. The notes are shown in the In-Store App & Admin.

string | null
<= 1000 characters
Example
Please wrap each item individually.
dropOffType
string
Allowed values: inPerson shipped
dropOffLocationCode

Location where the order is returned

string
Example
DERetail001
lineItems
Array<object>
object
code
string
Example
R386
status
string
Allowed values: open inProgress rejected canceled completed
Example
inProgress

Return order updated

Media typeapplication/json

Update not valid

Media typeapplication/json

Return order not found

Media typeapplication/json

Unexpected error

Media typeapplication/json
object
code

Machine readable error code

string
message
required

Human readable error code

string
Example
{
"code": "internal.database",
"message": "Internal Database Error"
}